Installation fails on 64 bit Linux systems with perl error

Document ID : KB000084380
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
awinstall: /u02/appmgr/c/perl: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

Installing Applications Manager (AM) on a 64 bit Linux system fails with the above error message if 32 bit libraries are not already installed on the Linux machine.
 
Environment:
OS Version: N/A
Cause:
Cause type:
Defect
Root Cause: Applications Manager Installation errors with a perl error message when installing on a 64bit Linux Operating System.
Resolution:
Update to a fix version listed below or a newer version if available where the perl included with the AM install has been updated.
 

Fix Status: Released

Fix Version(s):
Applications Manager 9.2.1 - Available
Additional Information:
Workaround :
Install the Linux 32 bit libraries before installing Applications Manager.